Subject: Re: bug#55800: using rgrep function interactively with fido-mode or fido-vertical-mode causes errors

From: Yilkal Argaw <[email-masked]>
Date: Sun, 5 Jun 2022 16:25:34 +0300

> The completion shows file names because the code calls
> read-file-name-internal.  Try the same without fido, and at the prompt
> for the wildcard type '?' -- you will see a list of files.  That's
> what fido shows.
>
> Why that code calls read-file-name-internal, I don't know; perhaps
> because it wants to support the use case of searching a single file or
> files in a directory?

I think that is done in the completion option after that where one selects
the file name or a directory based on ones' needs. This option as
I mentioned before  it was supposed to be for file types. If there is no builtin
list for file types(extensions) it might be sufficient to leave it alone
or have it call a list which contains "*" only. I have checked the completion
options for counsel-rg counsel-ag, consult-rg and they do it do it that way

With Regards

On Sun, Jun 5, 2022 at 4:03 PM Eli Zaretskii <[email-masked]> wrote:
>
> [Please use Reply All to keep the discussion recorded by the bug tracker.]
>
> > From: Yilkal Argaw <[email-masked]>
> > Date: Sun, 5 Jun 2022 15:36:37 +0300
> >
> > > from:Eli Zaretskii <[email-masked]>
> > > to:Yilkal Argaw <[email-masked]>
> > > cc:[email-masked]
> > > date:Jun 5, 2022, 12:47 PM
> > >
> > > The problem seems to be in grep-read-files, when fido-mode is used:
> > > the prompt says "default all", but fido understands RET as selecting
> > > the currently-highlighted candidate, which happens to be "./" -- and
> > > that, of course, makes no sense as an argument to "-name".
> >
> > Why does the completion even show file names? In counsel-rg  which
> > is a command that does similar thing from in the counsel package,the
> > second step shows file extension types like c,cpp,el. Can the behaviour
> > of the behaviour be modified to show such completion options.
>
> The completion shows file names because the code calls
> read-file-name-internal.  Try the same without fido, and at the prompt
> for the wildcard type '?' -- you will see a list of files.  That's
> what fido shows.
>
> Why that code calls read-file-name-internal, I don't know; perhaps
> because it wants to support the use case of searching a single file or
> files in a directory?